<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.weituo.mapper.ItdmWeituoInfoMapper">



    <select id="getWeituoList" resultType="org.jeecg.modules.weituo.entity.ItdmWeituoJieXaingVo">
        SELECT * FROM
        (
            SELECT
            w.*,
            t.id AS planid,
            t.weituo_id,
            t.test_items_id,
            t.weituo_yangpin_id,
            t.shebei_id,
            t.pm,
            ye.test_items,
            y.sample_name
            FROM
            itdm_weituo_info w
            LEFT JOIN itdm_test_plan t ON w.id = t.weituo_id
            LEFT JOIN itdm_weituo_yangpin_extend ye ON t.test_items_id = ye.id
            LEFT JOIN itdm_weituo_yangpin y ON t.weituo_yangpin_id = y.id
            <where>
                <if test="itdmWeituoInfo.weituoClient != null">
                    w.weituo_client like CONCAT('%', #{itdmWeituoInfo.weituoClient},'%')
                </if>
                <if test="itdmWeituoInfo.shenheStatus != null">
                    and w.shenhe_status = #{itdmWeituoInfo.shenheStatus}
                </if>
            </where>
            ORDER BY
            w.weituo_no
        ) e
    </select>
</mapper>
